Blip chat não funciona no nobile

Olá pessoal.
Já faz um tempo um tempo que estou refletindo sobre uma bucha que estou tendo ao abrir o Blip Chat pelo mobile, porém até o presente momento não consegui resolver.
Será que o Blip não é compatível com o tema que estou usando? :shushing_face:

wp-polyfill.min.js?ver=7.4.4:1 @babel/polyfill is loaded more than once on this page. This is probably not desirable/intended and may have consequences if different versions of the polyfills are applied sequentially. If you do need to load the polyfill more than once, use @babel/polyfill/noConflict instead to bypass the warning.
1.15 @ wp-polyfill.min.js?ver=7.4.4:1
chat.blip.ai/:1 Access to script at ‘https://js-cdn.dynatrace.com/jstag/16898c892dc/bf88991hgd/51a57ded5ceb58bf_complete.js’ from origin ‘https://chat.blip.ai’ has been blocked by CORS policy: No ‘Access-Control-Allow-Origin’ header is present on the requested resource.
51a57ded5ceb58bf_complete.js:1 Failed to load resource: net::ERR_FAILED
app.js?v=37ef6388555533141b48:1 [Deprecation] Synchronous XMLHttpRequest on the main thread is deprecated because of its detrimental effects to the end user’s experience. For more help, check https://xhr.spec.whatwg.org/.
e.get @ app.js?v=37ef6388555533141b48:1
vue.min.js:6 TypeError: Cannot read property ‘startsWith’ of undefined
at a.evaluateString (app.js?v=37ef6388555533141b48:1)
at fn.run (vue.min.js:6)
at un (vue.min.js:6)
at Array. (vue.min.js:6)
at qe (vue.min.js:6)
Ue @ vue.min.js:6
DevTools failed to load source map: Could not load content for https://unpkg.com/lime-js@3.0.1/dist/lime.min.js.map: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE
DevTools failed to load source map: Could not load content for https://chat.blip.ai/static/js/manifest.js.map?v=ac8d7dd8fcef9ea68b36: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE
DevTools failed to load source map: Could not load content for https://chat.blip.ai/static/js/app.js.map?v=37ef6388555533141b48: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE
DevTools failed to load source map: Could not load content for https://chat.blip.ai/static/js/vendor.js.map?v=688ae17acbc54ab1efa1: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE
DevTools failed to load source map: Could not load content for https://chat.blip.ai/static/css/app.css.map?v=7049aae2ff1a42843e2d737b4d6bc392: HTTP error: status code 404, net::ERR_HTTP_RESPONSE_CODE_FAILURE

1 Curtida

Sim Vini, eu acho que é seu tema. Lembro de ter sugerido você fazer um teste… altera o tema aí pra gente confirmar, vai ser o caminho mais fácil a princípio.

1 Curtida

Opa, beleza @GabrielPetrone ?
Pode crer, eu testei com um tema nativo que já vem no WP, aqueles mais básicos, porém deu o mesmo erro.
Estranho, não é regra, mas em sua maior parte a incompatibilidade ocorre com ferramentas mais antigas, o que não é o caso.
Vou testando outros temas, caso não dê certo, eu serei a obrigado a tirar o blip do site, ao menos até eu resolver isso.

@GabrielPetrone , fui acessar a página da documentação relativa a configuração no mobile, mas a página não existe.
Parece ter sido tirada do ar. https://github.com/takenet/blip-sdk-android
Estou achando que não é problema de compatibilidade, ma parece mais algo relacionado a frames e css.

Bom, tentei inúmeras vezes, mudei código, mexi no CSS, troquei de navegador, usei aba anônima, usei outros temas mais antigos e nada de funcionar.
Então resolvi tirar o Blip do meu site, muita dor de cabeça para algo tão simples. Até o Manychat funciona sem maiores problemas, mas o Blip não dá, infelizmente!
Tirei o código do navegador e os inúmeros problemas que apresentavam na versão mobile simplesmente sumiram.
Vou ficar por enquanto somente no Messenger, isto é, até a hora que ficar impossível de usar devido o nó cada vez mais apertado do Facebook.
:sneezing_face: